DO
$$
    DECLARE
        _path varchar(256) := 'patch-2025_11_26-EmailFolders_Path';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15722) THEN
            RETURN;
        END IF;

		ALTER TABLE public."EmailFolders" ADD "Path" character varying(1024) NULL;

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
    END;
$$;
